Skip to main content
GET
/
slack-integration
/
project
/
{projectId}
Get Slack Integration
curl --request GET \
  --url https://cloud.kaneo.app/api/slack-integration/project/{projectId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "projectId": "<string>",
  "channelName": "<string>",
  "webhookConfigured": true,
  "maskedWebhookUrl": "<string>",
  "events": {
    "taskCreated": true,
    "taskStatusChanged": true,
    "taskPriorityChanged": true,
    "taskTitleChanged": true,
    "taskDescriptionChanged": true,
    "taskCommentCreated": true
  },
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

projectId
string
required

Response

200 - application/json
object | null

Slack integration details

id
string
required
projectId
string
required
channelName
string | null
required
webhookConfigured
boolean
required
maskedWebhookUrl
string
required
events
object
required
isActive
boolean | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required